Bug 198366 - Package gfs2-utils lacks IPv6 support
Summary: Package gfs2-utils lacks IPv6 support
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gfs2-utils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IPv6Blocker 204760
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:17 UTC by Peter Vrabec
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 20:26:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Vrabec 2006-07-11 10:17:22 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/gfs2-utils-0.1.0/gfs/tests/filecon2/filecon2_server.c:529:  asking_sock = socket(AF_INET, SOCK_STREAM, 0);
/gfs2-utils-0.1.0/gfs/tests/filecon2/filecon2_server.c:537:  sin.sin_family = AF_INET;
/gfs2-utils-0.1.0/gfs/tests/filecon2/filecon2_client.c:823:  sock = socket(AF_INET, SOCK_STREAM, 0);
/gfs2-utils-0.1.0/gfs/tests/filecon2/filecon2_client.c:827:  sin.sin_family = AF_INET;

Comment 1 Chris Feist 2006-09-29 20:26:40 UTC
These are just tests, not the actual code used in the software.


Note You need to log in before you can comment on or make changes to this bug.